<?xml version="1.0" encoding="UTF-8"?>

<confluence-database-config>
  <name>defaultDS</name>
  <delegator-name>default</delegator-name>
  <database-type>{{ confluence_database_type }}</database-type>
  <schema-name>public</schema-name>
  <jdbc-datasource>
    <url>{{ confluence_database_url }}</url>
    <driver-class>{{ confluence_database_driver_class }}</driver-class>
    <username>{{ confluence_database_username }}</username>
    <password>{{ confluence_database_password }}</password>
    <pool-min-size>20</pool-min-size>
    <pool-max-size>20</pool-max-size>
    <pool-max-wait>30000</pool-max-wait>
    <validation-query>{{ confluence_database_validation_query }}</validation-query>
    <validation-query-timeout>{{ confluence_database_validation_query_timeout }}</validation-query-timeout>
    <min-evictable-idle-time-millis>60000</min-evictable-idle-time-millis>
    <time-between-eviction-runs-millis>300000</time-between-eviction-runs-millis>
    <pool-max-idle>20</pool-max-idle>
    <pool-remove-abandoned>true</pool-remove-abandoned>
    <pool-remove-abandoned-timeout>300</pool-remove-abandoned-timeout>
    <pool-test-on-borrow>false</pool-test-on-borrow>
    <pool-test-while-idle>true</pool-test-while-idle>
  </jdbc-datasource>
</confluence-database-config>
